#pragma once
#include <string>
#include <vector>
#include "Object.h"
#include "RandomObject.h"
#include "Entity.h"


class World{
private:
	World();
	static World* instance;

    unsigned int GridSizeX = 20;
    unsigned int GridSizeY = 20;
    unsigned int SizeX = 8;
    unsigned int SizeY = 8;

public:
	
	~World();

	static World* getInstance(void);
	static void init();

	void draw(void);
	void update(float deltaTime);
    Object objects[10];
    RandomObject randomobject;
    Entity entity;
    Entity entity2;

};

